<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FormulaShifter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FormulaShifter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormulaShifter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
               title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaType.html"
               title="enum in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/FormulaShifter.html" target="_top">Frames</a>
        </li>
        <li><a href="FormulaShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula</div>
    <h2 title="Class FormulaShifter" class="title">Class FormulaShifter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.FormulaShifter</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">FormulaShifter</span>
extends java.lang.Object</pre>
                <div class="block">Updates Formulas as rows or sheets are shifted</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#adjustFormula-org.apache.poi.ss.formula.ptg.Ptg:A-int-">adjustFormula</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs,
                                    int&nbsp;currentExternSheetIx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForColumnCopy-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForColumnCopy</a></span>(int&nbsp;externSheetIndex,
                                    java.lang.String&nbsp;sheetName,
                                    int&nbsp;firstMovedColumnIndex,
                                    int&nbsp;lastMovedColumnIndex,
                                    int&nbsp;numberOfColumnsToMove,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForColumnShift-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForColumnShift</a></span>(int&nbsp;externSheetIndex,
                                    java.lang.String&nbsp;sheetName,
                                    int&nbsp;firstMovedColumnIndex,
                                    int&nbsp;lastMovedColumnIndex,
                                    int&nbsp;numberOfColumnsToMove,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForRowCopy-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForRowCopy</a></span>(int&nbsp;externSheetIndex,
                                    java.lang.String&nbsp;sheetName,
                                    int&nbsp;firstMovedRowIndex,
                                    int&nbsp;lastMovedRowIndex,
                                    int&nbsp;numberOfRowsToMove,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForRowShift-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForRowShift</a></span>(int&nbsp;externSheetIndex,
                                    java.lang.String&nbsp;sheetName,
                                    int&nbsp;firstMovedRowIndex,
                                    int&nbsp;lastMovedRowIndex,
                                    int&nbsp;numberOfRowsToMove,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForSheetShift-int-int-">createForSheetShift</a></span>(int&nbsp;srcSheetIndex,
                                    int&nbsp;dstSheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createForRowShift-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createForRowShift</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;createForRowShift(int&nbsp;externSheetIndex,
                                               java.lang.String&nbsp;sheetName,
                                               int&nbsp;firstMovedRowIndex,
                                               int&nbsp;lastMovedRowIndex,
                                               int&nbsp;numberOfRowsToMove,
                                               <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                  title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</pre>
                            </li>
                        </ul>
                        <a name="createForRowCopy-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createForRowCopy</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;createForRowCopy(int&nbsp;externSheetIndex,
                                              java.lang.String&nbsp;sheetName,
                                              int&nbsp;firstMovedRowIndex,
                                              int&nbsp;lastMovedRowIndex,
                                              int&nbsp;numberOfRowsToMove,
                                              <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                 title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</pre>
                            </li>
                        </ul>
                        <a name="createForColumnShift-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createForColumnShift</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;createForColumnShift(int&nbsp;externSheetIndex,
                                                  java.lang.String&nbsp;sheetName,
                                                  int&nbsp;firstMovedColumnIndex,
                                                  int&nbsp;lastMovedColumnIndex,
                                                  int&nbsp;numberOfColumnsToMove,
                                                  <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                     title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createForColumnCopy-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createForColumnCopy</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;createForColumnCopy(int&nbsp;externSheetIndex,
                                                 java.lang.String&nbsp;sheetName,
                                                 int&nbsp;firstMovedColumnIndex,
                                                 int&nbsp;lastMovedColumnIndex,
                                                 int&nbsp;numberOfColumnsToMove,
                                                 <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createForSheetShift-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createForSheetShift</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;createForSheetShift(int&nbsp;srcSheetIndex,
                                                 int&nbsp;dstSheetIndex)</pre>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="adjustFormula-org.apache.poi.ss.formula.ptg.Ptg:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>adjustFormula</h4>
                                <pre>public&nbsp;boolean&nbsp;adjustFormula(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs,
                             int&nbsp;currentExternSheetIx)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ptgs</code> - - if necessary, will get modified by this method</dd>
                                    <dd><code>currentExternSheetIx</code> - - the extern sheet index of the sheet that
                                        contains the formula being adjusted
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if a change was made to the formula tokens</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormulaShifter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
               title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaType.html"
               title="enum in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/FormulaShifter.html" target="_top">Frames</a>
        </li>
        <li><a href="FormulaShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
